Bug 138378 - Give pseudo elements the correct specificity
Summary: Give pseudo elements the correct specificity
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Benjamin Poulain
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-11-04 15:05 PST by Benjamin Poulain
Modified: 2014-11-06 14:07 PST (History)
3 users (show)

See Also:


Attachments
Patch (10.28 KB, patch)
2014-11-04 15:15 PST, Benjamin Poulain
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from webkit-ews-11 for mac-mountainlion-wk2 (885.19 KB, application/zip)
2014-11-04 16:30 PST, Build Bot
no flags Details
Archive of layout-test-results from webkit-ews-03 for mac-mountainlion (862.30 KB, application/zip)
2014-11-04 19:49 PST, Build Bot
no flags Details
Patch (28.88 KB, patch)
2014-11-05 15:52 PST, Benjamin Poulain
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Benjamin Poulain 2014-11-04 15:05:19 PST
Give pseudo elements the correct specificity
Comment 1 Benjamin Poulain 2014-11-04 15:15:08 PST
Created attachment 240957 [details]
Patch
Comment 2 Build Bot 2014-11-04 16:30:58 PST
Created attachment 240977 [details]
Archive of layout-test-results from webkit-ews-11 for mac-mountainlion-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: webkit-ews-11  Port: mac-mountainlion-wk2  Platform: Mac OS X 10.8.5
Comment 3 Build Bot 2014-11-04 19:49:53 PST
Created attachment 240998 [details]
Archive of layout-test-results from webkit-ews-03 for mac-mountainlion

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: webkit-ews-03  Port: mac-mountainlion  Platform: Mac OS X 10.8.5
Comment 4 Benjamin Poulain 2014-11-05 15:52:09 PST
Created attachment 241068 [details]
Patch
Comment 5 Dean Jackson 2014-11-06 14:00:52 PST
Comment on attachment 241068 [details]
Patch

Annoying that we have to !important everything :(
Comment 6 Benjamin Poulain 2014-11-06 14:07:10 PST
Comment on attachment 241068 [details]
Patch

Clearing flags on attachment: 241068

Committed r175715: <http://trac.webkit.org/changeset/175715>
Comment 7 Benjamin Poulain 2014-11-06 14:07:14 PST
All reviewed patches have been landed.  Closing bug.